GEOS 3.3.4

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

Classes | Typedefs
geos::index::strtree Namespace Reference

Contains 2-D and 1-D versions of the Sort-Tile-Recursive (STR) tree, a query-only R-tree. More...

## Classes
class | AbstractNode
| A node of the STR tree. More...
class | AbstractSTRtree
| Base class for STRtree and SIRtree. More...
class | Boundable
| A spatial object in an AbstractSTRtree. More...
class | Interval
| A contiguous portion of 1D-space. Used internally by SIRtree. More...
class | ItemBoundable
| Boundable wrapper for a non-Boundable spatial object. Used internally by AbstractSTRtree. More...
class | SIRtree
| One-dimensional version of an STR-packed R-tree. More...
class | STRtree
| A query-only R-tree created using the Sort-Tile-Recursive (STR) algorithm. For two-dimensional spatial data. More...

## Typedefs
typedef std::vector< Boundable * > | BoundableList
| A list of boundables. TODO: use a list.

## Detailed Description

Contains 2-D and 1-D versions of the Sort-Tile-Recursive (STR) tree, a query-only R-tree.